Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network187.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
187.0.0.0
Broadcast address
187.255.255.255
First usable
187.0.0.1
Last usable
187.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex BB000000 · Integer 3137339392 to 3154116607
Reverse DNS zone
187.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111011..00000000.00000000.00000000187.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10111011..00000000.00000000.00000000187.0.0.0
Broadcast10111011..11111111.11111111.11111111187.255.255.255
Split into smaller subnets/17

187.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1187.0.0.0/17187.0.0.1 to 187.0.127.254187.0.127.25532,766
2187.0.128.0/17187.0.128.1 to 187.0.255.254187.0.255.25532,766
3187.1.0.0/17187.1.0.1 to 187.1.127.254187.1.127.25532,766
4187.1.128.0/17187.1.128.1 to 187.1.255.254187.1.255.25532,766
5187.2.0.0/17187.2.0.1 to 187.2.127.254187.2.127.25532,766
6187.2.128.0/17187.2.128.1 to 187.2.255.254187.2.255.25532,766
7187.3.0.0/17187.3.0.1 to 187.3.127.254187.3.127.25532,766
8187.3.128.0/17187.3.128.1 to 187.3.255.254187.3.255.25532,766
9187.4.0.0/17187.4.0.1 to 187.4.127.254187.4.127.25532,766
10187.4.128.0/17187.4.128.1 to 187.4.255.254187.4.255.25532,766
11187.5.0.0/17187.5.0.1 to 187.5.127.254187.5.127.25532,766
12187.5.128.0/17187.5.128.1 to 187.5.255.254187.5.255.25532,766
13187.6.0.0/17187.6.0.1 to 187.6.127.254187.6.127.25532,766
14187.6.128.0/17187.6.128.1 to 187.6.255.254187.6.255.25532,766
15187.7.0.0/17187.7.0.1 to 187.7.127.254187.7.127.25532,766
16187.7.128.0/17187.7.128.1 to 187.7.255.254187.7.255.25532,766
17187.8.0.0/17187.8.0.1 to 187.8.127.254187.8.127.25532,766
18187.8.128.0/17187.8.128.1 to 187.8.255.254187.8.255.25532,766
19187.9.0.0/17187.9.0.1 to 187.9.127.254187.9.127.25532,766
20187.9.128.0/17187.9.128.1 to 187.9.255.254187.9.255.25532,766
21187.10.0.0/17187.10.0.1 to 187.10.127.254187.10.127.25532,766
22187.10.128.0/17187.10.128.1 to 187.10.255.254187.10.255.25532,766
23187.11.0.0/17187.11.0.1 to 187.11.127.254187.11.127.25532,766
24187.11.128.0/17187.11.128.1 to 187.11.255.254187.11.255.25532,766
25187.12.0.0/17187.12.0.1 to 187.12.127.254187.12.127.25532,766
26187.12.128.0/17187.12.128.1 to 187.12.255.254187.12.255.25532,766
27187.13.0.0/17187.13.0.1 to 187.13.127.254187.13.127.25532,766
28187.13.128.0/17187.13.128.1 to 187.13.255.254187.13.255.25532,766
29187.14.0.0/17187.14.0.1 to 187.14.127.254187.14.127.25532,766
30187.14.128.0/17187.14.128.1 to 187.14.255.254187.14.255.25532,766
31187.15.0.0/17187.15.0.1 to 187.15.127.254187.15.127.25532,766
32187.15.128.0/17187.15.128.1 to 187.15.255.254187.15.255.25532,766
33187.16.0.0/17187.16.0.1 to 187.16.127.254187.16.127.25532,766
34187.16.128.0/17187.16.128.1 to 187.16.255.254187.16.255.25532,766
35187.17.0.0/17187.17.0.1 to 187.17.127.254187.17.127.25532,766
36187.17.128.0/17187.17.128.1 to 187.17.255.254187.17.255.25532,766
37187.18.0.0/17187.18.0.1 to 187.18.127.254187.18.127.25532,766
38187.18.128.0/17187.18.128.1 to 187.18.255.254187.18.255.25532,766
39187.19.0.0/17187.19.0.1 to 187.19.127.254187.19.127.25532,766
40187.19.128.0/17187.19.128.1 to 187.19.255.254187.19.255.25532,766
41187.20.0.0/17187.20.0.1 to 187.20.127.254187.20.127.25532,766
42187.20.128.0/17187.20.128.1 to 187.20.255.254187.20.255.25532,766
43187.21.0.0/17187.21.0.1 to 187.21.127.254187.21.127.25532,766
44187.21.128.0/17187.21.128.1 to 187.21.255.254187.21.255.25532,766
45187.22.0.0/17187.22.0.1 to 187.22.127.254187.22.127.25532,766
46187.22.128.0/17187.22.128.1 to 187.22.255.254187.22.255.25532,766
47187.23.0.0/17187.23.0.1 to 187.23.127.254187.23.127.25532,766
48187.23.128.0/17187.23.128.1 to 187.23.255.254187.23.255.25532,766
49187.24.0.0/17187.24.0.1 to 187.24.127.254187.24.127.25532,766
50187.24.128.0/17187.24.128.1 to 187.24.255.254187.24.255.25532,766
51187.25.0.0/17187.25.0.1 to 187.25.127.254187.25.127.25532,766
52187.25.128.0/17187.25.128.1 to 187.25.255.254187.25.255.25532,766
53187.26.0.0/17187.26.0.1 to 187.26.127.254187.26.127.25532,766
54187.26.128.0/17187.26.128.1 to 187.26.255.254187.26.255.25532,766
55187.27.0.0/17187.27.0.1 to 187.27.127.254187.27.127.25532,766
56187.27.128.0/17187.27.128.1 to 187.27.255.254187.27.255.25532,766
57187.28.0.0/17187.28.0.1 to 187.28.127.254187.28.127.25532,766
58187.28.128.0/17187.28.128.1 to 187.28.255.254187.28.255.25532,766
59187.29.0.0/17187.29.0.1 to 187.29.127.254187.29.127.25532,766
60187.29.128.0/17187.29.128.1 to 187.29.255.254187.29.255.25532,766
61187.30.0.0/17187.30.0.1 to 187.30.127.254187.30.127.25532,766
62187.30.128.0/17187.30.128.1 to 187.30.255.254187.30.255.25532,766
63187.31.0.0/17187.31.0.1 to 187.31.127.254187.31.127.25532,766
64187.31.128.0/17187.31.128.1 to 187.31.255.254187.31.255.25532,766
65187.32.0.0/17187.32.0.1 to 187.32.127.254187.32.127.25532,766
66187.32.128.0/17187.32.128.1 to 187.32.255.254187.32.255.25532,766
67187.33.0.0/17187.33.0.1 to 187.33.127.254187.33.127.25532,766
68187.33.128.0/17187.33.128.1 to 187.33.255.254187.33.255.25532,766
69187.34.0.0/17187.34.0.1 to 187.34.127.254187.34.127.25532,766
70187.34.128.0/17187.34.128.1 to 187.34.255.254187.34.255.25532,766
71187.35.0.0/17187.35.0.1 to 187.35.127.254187.35.127.25532,766
72187.35.128.0/17187.35.128.1 to 187.35.255.254187.35.255.25532,766
73187.36.0.0/17187.36.0.1 to 187.36.127.254187.36.127.25532,766
74187.36.128.0/17187.36.128.1 to 187.36.255.254187.36.255.25532,766
75187.37.0.0/17187.37.0.1 to 187.37.127.254187.37.127.25532,766
76187.37.128.0/17187.37.128.1 to 187.37.255.254187.37.255.25532,766
77187.38.0.0/17187.38.0.1 to 187.38.127.254187.38.127.25532,766
78187.38.128.0/17187.38.128.1 to 187.38.255.254187.38.255.25532,766
79187.39.0.0/17187.39.0.1 to 187.39.127.254187.39.127.25532,766
80187.39.128.0/17187.39.128.1 to 187.39.255.254187.39.255.25532,766
81187.40.0.0/17187.40.0.1 to 187.40.127.254187.40.127.25532,766
82187.40.128.0/17187.40.128.1 to 187.40.255.254187.40.255.25532,766
83187.41.0.0/17187.41.0.1 to 187.41.127.254187.41.127.25532,766
84187.41.128.0/17187.41.128.1 to 187.41.255.254187.41.255.25532,766
85187.42.0.0/17187.42.0.1 to 187.42.127.254187.42.127.25532,766
86187.42.128.0/17187.42.128.1 to 187.42.255.254187.42.255.25532,766
87187.43.0.0/17187.43.0.1 to 187.43.127.254187.43.127.25532,766
88187.43.128.0/17187.43.128.1 to 187.43.255.254187.43.255.25532,766
89187.44.0.0/17187.44.0.1 to 187.44.127.254187.44.127.25532,766
90187.44.128.0/17187.44.128.1 to 187.44.255.254187.44.255.25532,766
91187.45.0.0/17187.45.0.1 to 187.45.127.254187.45.127.25532,766
92187.45.128.0/17187.45.128.1 to 187.45.255.254187.45.255.25532,766
93187.46.0.0/17187.46.0.1 to 187.46.127.254187.46.127.25532,766
94187.46.128.0/17187.46.128.1 to 187.46.255.254187.46.255.25532,766
95187.47.0.0/17187.47.0.1 to 187.47.127.254187.47.127.25532,766
96187.47.128.0/17187.47.128.1 to 187.47.255.254187.47.255.25532,766
97187.48.0.0/17187.48.0.1 to 187.48.127.254187.48.127.25532,766
98187.48.128.0/17187.48.128.1 to 187.48.255.254187.48.255.25532,766
99187.49.0.0/17187.49.0.1 to 187.49.127.254187.49.127.25532,766
100187.49.128.0/17187.49.128.1 to 187.49.255.254187.49.255.25532,766
101187.50.0.0/17187.50.0.1 to 187.50.127.254187.50.127.25532,766
102187.50.128.0/17187.50.128.1 to 187.50.255.254187.50.255.25532,766
103187.51.0.0/17187.51.0.1 to 187.51.127.254187.51.127.25532,766
104187.51.128.0/17187.51.128.1 to 187.51.255.254187.51.255.25532,766
105187.52.0.0/17187.52.0.1 to 187.52.127.254187.52.127.25532,766
106187.52.128.0/17187.52.128.1 to 187.52.255.254187.52.255.25532,766
107187.53.0.0/17187.53.0.1 to 187.53.127.254187.53.127.25532,766
108187.53.128.0/17187.53.128.1 to 187.53.255.254187.53.255.25532,766
109187.54.0.0/17187.54.0.1 to 187.54.127.254187.54.127.25532,766
110187.54.128.0/17187.54.128.1 to 187.54.255.254187.54.255.25532,766
111187.55.0.0/17187.55.0.1 to 187.55.127.254187.55.127.25532,766
112187.55.128.0/17187.55.128.1 to 187.55.255.254187.55.255.25532,766
113187.56.0.0/17187.56.0.1 to 187.56.127.254187.56.127.25532,766
114187.56.128.0/17187.56.128.1 to 187.56.255.254187.56.255.25532,766
115187.57.0.0/17187.57.0.1 to 187.57.127.254187.57.127.25532,766
116187.57.128.0/17187.57.128.1 to 187.57.255.254187.57.255.25532,766
117187.58.0.0/17187.58.0.1 to 187.58.127.254187.58.127.25532,766
118187.58.128.0/17187.58.128.1 to 187.58.255.254187.58.255.25532,766
119187.59.0.0/17187.59.0.1 to 187.59.127.254187.59.127.25532,766
120187.59.128.0/17187.59.128.1 to 187.59.255.254187.59.255.25532,766
121187.60.0.0/17187.60.0.1 to 187.60.127.254187.60.127.25532,766
122187.60.128.0/17187.60.128.1 to 187.60.255.254187.60.255.25532,766
123187.61.0.0/17187.61.0.1 to 187.61.127.254187.61.127.25532,766
124187.61.128.0/17187.61.128.1 to 187.61.255.254187.61.255.25532,766
125187.62.0.0/17187.62.0.1 to 187.62.127.254187.62.127.25532,766
126187.62.128.0/17187.62.128.1 to 187.62.255.254187.62.255.25532,766
127187.63.0.0/17187.63.0.1 to 187.63.127.254187.63.127.25532,766
128187.63.128.0/17187.63.128.1 to 187.63.255.254187.63.255.25532,766
129187.64.0.0/17187.64.0.1 to 187.64.127.254187.64.127.25532,766
130187.64.128.0/17187.64.128.1 to 187.64.255.254187.64.255.25532,766
131187.65.0.0/17187.65.0.1 to 187.65.127.254187.65.127.25532,766
132187.65.128.0/17187.65.128.1 to 187.65.255.254187.65.255.25532,766
133187.66.0.0/17187.66.0.1 to 187.66.127.254187.66.127.25532,766
134187.66.128.0/17187.66.128.1 to 187.66.255.254187.66.255.25532,766
135187.67.0.0/17187.67.0.1 to 187.67.127.254187.67.127.25532,766
136187.67.128.0/17187.67.128.1 to 187.67.255.254187.67.255.25532,766
137187.68.0.0/17187.68.0.1 to 187.68.127.254187.68.127.25532,766
138187.68.128.0/17187.68.128.1 to 187.68.255.254187.68.255.25532,766
139187.69.0.0/17187.69.0.1 to 187.69.127.254187.69.127.25532,766
140187.69.128.0/17187.69.128.1 to 187.69.255.254187.69.255.25532,766
141187.70.0.0/17187.70.0.1 to 187.70.127.254187.70.127.25532,766
142187.70.128.0/17187.70.128.1 to 187.70.255.254187.70.255.25532,766
143187.71.0.0/17187.71.0.1 to 187.71.127.254187.71.127.25532,766
144187.71.128.0/17187.71.128.1 to 187.71.255.254187.71.255.25532,766
145187.72.0.0/17187.72.0.1 to 187.72.127.254187.72.127.25532,766
146187.72.128.0/17187.72.128.1 to 187.72.255.254187.72.255.25532,766
147187.73.0.0/17187.73.0.1 to 187.73.127.254187.73.127.25532,766
148187.73.128.0/17187.73.128.1 to 187.73.255.254187.73.255.25532,766
149187.74.0.0/17187.74.0.1 to 187.74.127.254187.74.127.25532,766
150187.74.128.0/17187.74.128.1 to 187.74.255.254187.74.255.25532,766
151187.75.0.0/17187.75.0.1 to 187.75.127.254187.75.127.25532,766
152187.75.128.0/17187.75.128.1 to 187.75.255.254187.75.255.25532,766
153187.76.0.0/17187.76.0.1 to 187.76.127.254187.76.127.25532,766
154187.76.128.0/17187.76.128.1 to 187.76.255.254187.76.255.25532,766
155187.77.0.0/17187.77.0.1 to 187.77.127.254187.77.127.25532,766
156187.77.128.0/17187.77.128.1 to 187.77.255.254187.77.255.25532,766
157187.78.0.0/17187.78.0.1 to 187.78.127.254187.78.127.25532,766
158187.78.128.0/17187.78.128.1 to 187.78.255.254187.78.255.25532,766
159187.79.0.0/17187.79.0.1 to 187.79.127.254187.79.127.25532,766
160187.79.128.0/17187.79.128.1 to 187.79.255.254187.79.255.25532,766
161187.80.0.0/17187.80.0.1 to 187.80.127.254187.80.127.25532,766
162187.80.128.0/17187.80.128.1 to 187.80.255.254187.80.255.25532,766
163187.81.0.0/17187.81.0.1 to 187.81.127.254187.81.127.25532,766
164187.81.128.0/17187.81.128.1 to 187.81.255.254187.81.255.25532,766
165187.82.0.0/17187.82.0.1 to 187.82.127.254187.82.127.25532,766
166187.82.128.0/17187.82.128.1 to 187.82.255.254187.82.255.25532,766
167187.83.0.0/17187.83.0.1 to 187.83.127.254187.83.127.25532,766
168187.83.128.0/17187.83.128.1 to 187.83.255.254187.83.255.25532,766
169187.84.0.0/17187.84.0.1 to 187.84.127.254187.84.127.25532,766
170187.84.128.0/17187.84.128.1 to 187.84.255.254187.84.255.25532,766
171187.85.0.0/17187.85.0.1 to 187.85.127.254187.85.127.25532,766
172187.85.128.0/17187.85.128.1 to 187.85.255.254187.85.255.25532,766
173187.86.0.0/17187.86.0.1 to 187.86.127.254187.86.127.25532,766
174187.86.128.0/17187.86.128.1 to 187.86.255.254187.86.255.25532,766
175187.87.0.0/17187.87.0.1 to 187.87.127.254187.87.127.25532,766
176187.87.128.0/17187.87.128.1 to 187.87.255.254187.87.255.25532,766
177187.88.0.0/17187.88.0.1 to 187.88.127.254187.88.127.25532,766
178187.88.128.0/17187.88.128.1 to 187.88.255.254187.88.255.25532,766
179187.89.0.0/17187.89.0.1 to 187.89.127.254187.89.127.25532,766
180187.89.128.0/17187.89.128.1 to 187.89.255.254187.89.255.25532,766
181187.90.0.0/17187.90.0.1 to 187.90.127.254187.90.127.25532,766
182187.90.128.0/17187.90.128.1 to 187.90.255.254187.90.255.25532,766
183187.91.0.0/17187.91.0.1 to 187.91.127.254187.91.127.25532,766
184187.91.128.0/17187.91.128.1 to 187.91.255.254187.91.255.25532,766
185187.92.0.0/17187.92.0.1 to 187.92.127.254187.92.127.25532,766
186187.92.128.0/17187.92.128.1 to 187.92.255.254187.92.255.25532,766
187187.93.0.0/17187.93.0.1 to 187.93.127.254187.93.127.25532,766
188187.93.128.0/17187.93.128.1 to 187.93.255.254187.93.255.25532,766
189187.94.0.0/17187.94.0.1 to 187.94.127.254187.94.127.25532,766
190187.94.128.0/17187.94.128.1 to 187.94.255.254187.94.255.25532,766
191187.95.0.0/17187.95.0.1 to 187.95.127.254187.95.127.25532,766
192187.95.128.0/17187.95.128.1 to 187.95.255.254187.95.255.25532,766
193187.96.0.0/17187.96.0.1 to 187.96.127.254187.96.127.25532,766
194187.96.128.0/17187.96.128.1 to 187.96.255.254187.96.255.25532,766
195187.97.0.0/17187.97.0.1 to 187.97.127.254187.97.127.25532,766
196187.97.128.0/17187.97.128.1 to 187.97.255.254187.97.255.25532,766
197187.98.0.0/17187.98.0.1 to 187.98.127.254187.98.127.25532,766
198187.98.128.0/17187.98.128.1 to 187.98.255.254187.98.255.25532,766
199187.99.0.0/17187.99.0.1 to 187.99.127.254187.99.127.25532,766
200187.99.128.0/17187.99.128.1 to 187.99.255.254187.99.255.25532,766
201187.100.0.0/17187.100.0.1 to 187.100.127.254187.100.127.25532,766
202187.100.128.0/17187.100.128.1 to 187.100.255.254187.100.255.25532,766
203187.101.0.0/17187.101.0.1 to 187.101.127.254187.101.127.25532,766
204187.101.128.0/17187.101.128.1 to 187.101.255.254187.101.255.25532,766
205187.102.0.0/17187.102.0.1 to 187.102.127.254187.102.127.25532,766
206187.102.128.0/17187.102.128.1 to 187.102.255.254187.102.255.25532,766
207187.103.0.0/17187.103.0.1 to 187.103.127.254187.103.127.25532,766
208187.103.128.0/17187.103.128.1 to 187.103.255.254187.103.255.25532,766
209187.104.0.0/17187.104.0.1 to 187.104.127.254187.104.127.25532,766
210187.104.128.0/17187.104.128.1 to 187.104.255.254187.104.255.25532,766
211187.105.0.0/17187.105.0.1 to 187.105.127.254187.105.127.25532,766
212187.105.128.0/17187.105.128.1 to 187.105.255.254187.105.255.25532,766
213187.106.0.0/17187.106.0.1 to 187.106.127.254187.106.127.25532,766
214187.106.128.0/17187.106.128.1 to 187.106.255.254187.106.255.25532,766
215187.107.0.0/17187.107.0.1 to 187.107.127.254187.107.127.25532,766
216187.107.128.0/17187.107.128.1 to 187.107.255.254187.107.255.25532,766
217187.108.0.0/17187.108.0.1 to 187.108.127.254187.108.127.25532,766
218187.108.128.0/17187.108.128.1 to 187.108.255.254187.108.255.25532,766
219187.109.0.0/17187.109.0.1 to 187.109.127.254187.109.127.25532,766
220187.109.128.0/17187.109.128.1 to 187.109.255.254187.109.255.25532,766
221187.110.0.0/17187.110.0.1 to 187.110.127.254187.110.127.25532,766
222187.110.128.0/17187.110.128.1 to 187.110.255.254187.110.255.25532,766
223187.111.0.0/17187.111.0.1 to 187.111.127.254187.111.127.25532,766
224187.111.128.0/17187.111.128.1 to 187.111.255.254187.111.255.25532,766
225187.112.0.0/17187.112.0.1 to 187.112.127.254187.112.127.25532,766
226187.112.128.0/17187.112.128.1 to 187.112.255.254187.112.255.25532,766
227187.113.0.0/17187.113.0.1 to 187.113.127.254187.113.127.25532,766
228187.113.128.0/17187.113.128.1 to 187.113.255.254187.113.255.25532,766
229187.114.0.0/17187.114.0.1 to 187.114.127.254187.114.127.25532,766
230187.114.128.0/17187.114.128.1 to 187.114.255.254187.114.255.25532,766
231187.115.0.0/17187.115.0.1 to 187.115.127.254187.115.127.25532,766
232187.115.128.0/17187.115.128.1 to 187.115.255.254187.115.255.25532,766
233187.116.0.0/17187.116.0.1 to 187.116.127.254187.116.127.25532,766
234187.116.128.0/17187.116.128.1 to 187.116.255.254187.116.255.25532,766
235187.117.0.0/17187.117.0.1 to 187.117.127.254187.117.127.25532,766
236187.117.128.0/17187.117.128.1 to 187.117.255.254187.117.255.25532,766
237187.118.0.0/17187.118.0.1 to 187.118.127.254187.118.127.25532,766
238187.118.128.0/17187.118.128.1 to 187.118.255.254187.118.255.25532,766
239187.119.0.0/17187.119.0.1 to 187.119.127.254187.119.127.25532,766
240187.119.128.0/17187.119.128.1 to 187.119.255.254187.119.255.25532,766
241187.120.0.0/17187.120.0.1 to 187.120.127.254187.120.127.25532,766
242187.120.128.0/17187.120.128.1 to 187.120.255.254187.120.255.25532,766
243187.121.0.0/17187.121.0.1 to 187.121.127.254187.121.127.25532,766
244187.121.128.0/17187.121.128.1 to 187.121.255.254187.121.255.25532,766
245187.122.0.0/17187.122.0.1 to 187.122.127.254187.122.127.25532,766
246187.122.128.0/17187.122.128.1 to 187.122.255.254187.122.255.25532,766
247187.123.0.0/17187.123.0.1 to 187.123.127.254187.123.127.25532,766
248187.123.128.0/17187.123.128.1 to 187.123.255.254187.123.255.25532,766
249187.124.0.0/17187.124.0.1 to 187.124.127.254187.124.127.25532,766
250187.124.128.0/17187.124.128.1 to 187.124.255.254187.124.255.25532,766
251187.125.0.0/17187.125.0.1 to 187.125.127.254187.125.127.25532,766
252187.125.128.0/17187.125.128.1 to 187.125.255.254187.125.255.25532,766
253187.126.0.0/17187.126.0.1 to 187.126.127.254187.126.127.25532,766
254187.126.128.0/17187.126.128.1 to 187.126.255.254187.126.255.25532,766
255187.127.0.0/17187.127.0.1 to 187.127.127.254187.127.127.25532,766
256187.127.128.0/17187.127.128.1 to 187.127.255.254187.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses